%define	name	checkhomeownership
%define	version	0.02
%define	release	1mdk

Summary:	Check home ownership of qmail users Maildir
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Public Domain
Group:		Networking/Other
URL:		http://www.qmail.org
Source0:	%{name}.tar.bz2
Requires:	perl qmail >= 1.03-4mdk
Buildroot:	%{_tmppath}/%{name}-%{version}-root

%description
Reports anyone in /etc/passwd whom qmail won't deliver mail to.
Reports any maildirs that don't exist or are owned by the wrong user.
Assumes that nothing is trying to modify the mailboxes in /var/spool/mail

%prep
rm -rf %{buildroot}

%setup -q -c -n %{name}-%{version}

%build
perl -p -i -e "s|#! /usr/local/bin/perl|#!/usr/bin/perl|g" %{name}

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}/%{name}.pl

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/%{name}.pl

%changelog
* Mon Nov 26 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.02-1mdk
- initial cooker contrib
- rpmlint fixes
